Bug 211786 - Amend kill(1) HISTORY
Summary: Amend kill(1) HISTORY
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sevan Janiyan
URL: https://reviews.freebsd.org/D8105
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-08-12 18:17 UTC by Sevan Janiyan
Modified: 2017-02-03 11:19 UTC (History)
0 users

See Also:


Attachments
kill HISTORY (461 bytes, patch)
2016-08-12 18:17 UTC, Sevan Janiyan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sevan Janiyan 2016-08-12 18:17:00 UTC
Created attachment 173602 [details]
kill HISTORY

It's not clear if the kill utility appeared in version 2 or 3 of UNIX.
Earliest reference of kill in the TUHS archive is v3 AT&T UNIX.
Unfortunately only the source code for the compiler is present for that
release. The v2 archive is missing the manuals & only contains a some of the
commands.
In v3 UNIX, the kill utility is documented in category 8, not 1, attached patch adds this note to the HISTORY section.
Comment 1 Sevan Janiyan 2016-09-13 22:20:08 UTC
kill command is not present in the draft V2 manual
http://www.tuhs.org/Archive/PDP-11/Distributions/research/1972_stuff/unix_2nd_edition_manual.pdf
Comment 2 commit-hook freebsd_committer 2016-10-02 23:14:44 UTC
A commit references this bug:

Author: sevan
Date: Sun Oct  2 23:13:47 UTC 2016
New revision: 306597
URL: https://svnweb.freebsd.org/changeset/base/306597

Log:
  In v3 UNIX, the kill utility is documented in category 8, not 1.
  Add a note of it.
  http://minnie.tuhs.org/cgi-bin/utree.pl?file=V3/man/man8/kill.8

  PR:		211786
  Approved by:	bcr (mentor)
  Obtained from:	TUHS
  Differential Revision:	https://reviews.freebsd.org/D8105

Changes:
  head/bin/kill/kill.1
Comment 3 commit-hook freebsd_committer 2017-02-03 11:18:30 UTC
A commit references this bug:

Author: sevan
Date: Fri Feb  3 11:17:44 UTC 2017
New revision: 313143
URL: https://svnweb.freebsd.org/changeset/base/313143

Log:
  In v3 UNIX, the kill utility is documented in category 8, not 1.
  Add a note of it.
  http://minnie.tuhs.org/cgi-bin/utree.pl?file=V3/man/man8/kill.8

  PR:		211786
  Approved by:	bcr (mentor)
  Obtained from:	TUHS
  Differential Revision:	https://reviews.freebsd.org/D8105

Changes:
_U  stable/11/
  stable/11/bin/kill/kill.1
Comment 4 commit-hook freebsd_committer 2017-02-03 11:19:32 UTC
A commit references this bug:

Author: sevan
Date: Fri Feb  3 11:18:34 UTC 2017
New revision: 313144
URL: https://svnweb.freebsd.org/changeset/base/313144

Log:
  In v3 UNIX, the kill utility is documented in category 8, not 1.
  Add a note of it.
  http://minnie.tuhs.org/cgi-bin/utree.pl?file=V3/man/man8/kill.8

  PR:		211786
  Approved by:	bcr (mentor)
  Obtained from:	TUHS
  Differential Revision:	https://reviews.freebsd.org/D8105

Changes:
_U  stable/10/
  stable/10/bin/kill/kill.1